// Copyright © 2017-2018 Atomic Software, LLC. All Rights Reserved.
// See LICENSE.md for full license information.

using System;

namespace Atom.Core.Platform
{
    public static class SystemTime
    {
        /// <summary>
        /// Represents the current system time in seconds.
        /// </summary>
        /// <returns></returns>
        public static long Seconds()
        {
            return DateTimeOffset.UtcNow.ToUnixTimeSeconds();
        }

        /// <summary>
        /// Represents the current system time in milliseconds.
        /// </summary>
        /// <returns></returns>
        public static long Milliseconds()
        {
            return DateTimeOffset.UtcNow.ToUnixTimeMilliseconds();
        }
    }
}
